rpma_srq_cfg_delete(3)

NAME
rpma_srq_cfg_delete - delete the shared RQ configuration object

SYNOPSIS
      #include <librpma.h>

      struct rpma_srq_cfg;
      int rpma_srq_cfg_delete(struct rpma_srq_cfg **cfg_ptr);

DESCRIPTION
rpma_srq_cfg_delete() deletes the shared RQ configuration object.

RETURN VALUE
The rpma_srq_cfg_delete() function returns 0 on success or a negative error code on failure. rpma_srq_cfg_delete() sets *cfg_ptr value to NULL on success and on failure.

ERRORS
rpma_srq_cfg_delete() can fail with the following error:

•   RPMA_E_INVAL - cfg_ptr is NULL

SEE ALSO
rpma_srq_cfg_new(3), librpma(7) and https://pmem.io/rpma/